import 'package:json_annotation/json_annotation.dart';

part 'NestModel.g.dart';

@JsonSerializable()

class NestModel{

  final name;
  final email;
  final List<NestModel> childrens;
  final NestModel nest;

  NestModel(this.name, this.email, this.childrens,this.nest);

  factory NestModel.fromJson(Map<String, dynamic> json) => _$NestModelFromJson(json);
  Map<String, dynamic> toJson() => _$NestModelToJson(this);
}